/*
 * RCSid:
 *	$Id: ipcallid.h,v 1.4 2009/12/18 23:58:33 sjg Exp $
 *
 *      @(#)Copyright (c) 1993, Simon J. Gerraty.
 *      
 *      This code is presented AS IS.  It comes with NO WARRANTY.
 *      Permission to use, modify and distribute this source code 
 *      is granted subject to the following conditions.
 *      1/ that the above copyright notice and this notice 
 *      are preserved in all copies and that due credit be given 
 *      to the author.  
 *      2/ that any changes to this code are clearly commented 
 *      as such so that the author does not get blamed for bugs 
 *      other than his own.
 *      
 *      Please send copies of changes and bug-fixes to:
 *      sjg@crufty.net
 */

#ifndef _IPCALLID_H
# define _IPCALLID_H

#include <sys/cdefs.h>

/*
 * Flags passed to ipCallerId()
 */
#define IPCIDF_NAME	(1<<0)		/* resolve address to name */
#define IPCIDF_ADDRESS	(1<<1)		/* report address */

#define IPCIDF_PARANOID (1<<3)		/* check ip in address list for name */
#define IPCIDF_PORT	(1<<4)		/* include the port */

#endif

__BEGIN_DECLS
/*
 * These were added by updprotos, don't bother editing by hand
 */
struct sockaddr_in;
/* ipcallid.c */
char *	ipCallerId	 __P((struct sockaddr_in * /* sa */, int  /* flags */, char ** /* faked */));
char *	ip_caller_id	 __P((struct sockaddr_in * /* sa */, int  /* flags */));
char *	sock_id	 __P((int  /* s */, int  /* flags */));
__END_DECLS
